import Foundation
import App

abbrev = 'Celeron'
iconName = 'Celeron'
longName = 'Celeron Scout'
shipFile = 'Celeron' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Celeron = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.Celeron.desc = "Celeron Combat Scout Class\n\nEqipped with 9 medium phasers, quantum torpedo launchers and high capacity shield generators."

Foundation.ShipDef.Celeron.fMaxWarp = 9.0
Foundation.ShipDef.Celeron.dTechs = {
	'Breen Drainer Immune': 1,
	'Fed Ablative Armor': { "Plates": ["Aft Ablative Armor", "Left Ablative Armor", "Right Ablative Armor", "Forward Ablative Armor"]
}}


if menuGroup:           Foundation.ShipDef.Celeron.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Celeron.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
